libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::IPAStream Struct Reference

Stream configuration for the IPA interface. More...

Collaboration diagram for libcamera::IPAStream:
[legend]

## Public Attributes
uint32_t | pixelFormat
| The stream pixel format.
Size | size
| The stream size in pixels.

## Detailed Description

Stream configuration for the IPA interface.

The IPAStream structure stores stream configuration parameters needed by the IPAInterface::configure() function. It mirrors the StreamConfiguration class that is not suitable for this purpose due to not being serializable.

The documentation for this struct was generated from the following files:

- /build/libcamera/src/build/include/libcamera/ipa/core_ipa_interface.h
- /build/libcamera/src/build/src/libcamera/ipa/core_ipa_interface.cpp